package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreGroup;

public interface TabStoreGroupMapper {
    /**
     * 根据主键删除
     *
     * @param storeGroupId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeGroupId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreGroup record);

    /**
     * 根据主键查询
     *
     * @param storeGroupId 主键
     * @return 实体对象
     */
    TabStoreGroup selectByPrimaryKey(Integer storeGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreGroup record);
}